#if !defined(AFX_PRGOTHER_H__BFD2A321_324C_4ED7_A6AB_DE0F211A0270__INCLUDED_)
#define AFX_PRGOTHER_H__BFD2A321_324C_4ED7_A6AB_DE0F211A0270__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PrgOther.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "PrgOtherSub.h"	// For CFCPRGOTHER.
#include "StcCheck.h"		// CFCStcCheck.
#include "StcBorder.h"		// For CFCStcBorder.
#include "PropertyPageBase.h"	// For Baseclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCPropertyPageBase

/////////////////////////////////////////////////////////////////////////////
// CFCPrgOther _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCPrgOther : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNCREATE(CFCPrgOther)

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCPrgOther();
	~CFCPrgOther();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCPrgOther)
	enum { IDD = IDD_PRG_OTHER };
	CFCStcCheck	m_stcIsFixVertCenterResize;
	CFCStcCheck	m_stcIsFixHorzCenterResize;
	CFCStcBorder	m_stcBorder1;
	//}}AFX_DATA

CFCPRGOTHER

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_

	//{{AFX_VIRTUAL(CFCPrgOther)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:
	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCPrgOther)
	virtual BOOL OnInitDialog();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnEditchangePgoCbbFrontArrowAutoGap();
	afx_msg void OnCloseupPgoCbbFrontArrowAutoGap();
	afx_msg void OnSelchangePgoCbbFrontArrowAutoGap();
	afx_msg void OnEditchangePgoCbbBackArrowAutoGap();
	afx_msg void OnCloseupPgoCbbBackArrowAutoGap();
	afx_msg void OnSelchangePgoCbbBackArrowAutoGap();
	afx_msg void OnDialogInitValue();
	afx_msg void OnPgoRdoFixLeftTop();
	afx_msg void OnPgoRdoFixLeftCenter();
	afx_msg void OnPgoRdoFixLeftBottom();
	afx_msg void OnPgoRdoFixCenterBottom();
	afx_msg void OnPgoRdoFixCenterCenter();
	afx_msg void OnPgoRdoFixCenterTop();
	afx_msg void OnPgoRdoFixRightBottom();
	afx_msg void OnPgoRdoFixRightCenter();
	afx_msg void OnPgoRdoFixRightTop();
	afx_msg void OnPgoChkIsAutoGapActive();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_PRGOTHER_H__BFD2A321_324C_4ED7_A6AB_DE0F211A0270__INCLUDED_)
